@ECHO OFF
ECHO Starting WJ2O Master QSO Logging Program
REM
REM Use this batch file to start The WJ2O Master QSO Logging Program
REM If you wish to interface with SAM database then SAM's TSR named
REM SAMAPI.EXE is loaded from this program also.  If you do not have
REM your SAM files loaded in the path C:\SAM, then you need to adjust
REM the path name below.
REM
REM
REM Make sure TSRs weren't left on from previous uses
REM -------------------------------------------------
PROISAMD /D > NUL
IF EXIST C:\SAM\SAMAPI.EXE C:\SAM\SAMAPI /R > NUL
IF EXIST C:\SAM\SAMAPICD.EXE C:\SAM\SAMAPICD /R > NUL
REM
REM
REM Load PROISAMD used for WJ2O file handling
REM -----------------------------------------
PROISAMD /IE:100 > NUL
REM
REM
REM Erase temporary files that may have been left from previous session
REM -------------------------------------------------------------------
IF EXIST LOGM.TMP ERASE LOGM.TMP
IF EXIST LOGP.TMP ERASE LOGP.TMP
REM
REM
REM Load SAMAPI used for accessing SAM Database
REM -------------------------------------------
REM SET SAMAPI=99H > NUL
REM If you are a SAM hard disk user, remove the REM from the next line
IF EXIST C:\SAM\SAMAPI.EXE C:\SAM\SAMAPI C:\SAM > NUL
REM If you are a SAM CD ROM user, remove the REM from the next line
REM IF EXIST C:\SAM\SAMAPICD.EXE C:\SAM\SAMAPICD D:\SAMCDDAT C:\SAM > NUL
REM
REM Start Master Log Program
REM ------------------------
LOGMENU.EXE
REM
REM
REM Remove TSRs
REM -----------
IF EXIST C:\SAM\SAMAPI.EXE C:\SAM\SAMAPI /R > NUL
IF EXIST C:\SAM\SAMAPICD.EXE C:\SAM\SAMAPICD /R > NUL
PROISAMD /D > NUL
ECHO OFF

